com.io7m.r2.filters

## Class R2FilterCompositorParameters.Builder

- java.lang.Object
- - com.io7m.r2.filters.R2FilterCompositorParameters.Builder

- Enclosing class:
    R2FilterCompositorParameters

      public static final class R2FilterCompositorParameters.Builder
      extends Object

  Builds instances of type `R2FilterCompositorParameters`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2FilterCompositorParameters.Builder` | `addAllItems(Iterable<? extends R2FilterCompositorItemType> elements)` Adds elements to `items` list.
    `R2FilterCompositorParameters.Builder` | `addItems(R2FilterCompositorItemType... elements)` Adds elements to `items` list.
    `R2FilterCompositorParameters.Builder` | `addItems(R2FilterCompositorItemType element)` Adds one element to `items` list.
    `R2FilterCompositorParameters` | `build()` Builds a new `R2FilterCompositorParameters`.
    `R2FilterCompositorParameters.Builder` | `from(R2FilterCompositorParametersType instance)` Fill a builder with attribute values from the provided `R2FilterCompositorParametersType` instance.
    `R2FilterCompositorParameters.Builder` | `setItems(Iterable<? extends R2FilterCompositorItemType> elements)` Sets or replaces all elements for `items` list.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2FilterCompositorParameters.Builder from(R2FilterCompositorParametersType instance)

      Fill a builder with attribute values from the provided `R2FilterCompositorParametersType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values. Collection elements and entries will be added, not replaced.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### addItems

          public final R2FilterCompositorParameters.Builder addItems(R2FilterCompositorItemType element)

      Adds one element to `items` list.
      Parameters:
        `element` - A items element
      Returns:
        `this` builder for use in a chained invocation

    - #### addItems

          public final R2FilterCompositorParameters.Builder addItems(R2FilterCompositorItemType... elements)

      Adds elements to `items` list.
      Parameters:
        `elements` - An array of items elements
      Returns:
        `this` builder for use in a chained invocation

    - #### setItems

          public final R2FilterCompositorParameters.Builder setItems(Iterable<? extends R2FilterCompositorItemType> elements)

      Sets or replaces all elements for `items` list.
      Parameters:
        `elements` - An iterable of items elements
      Returns:
        `this` builder for use in a chained invocation

    - #### addAllItems

          public final R2FilterCompositorParameters.Builder addAllItems(Iterable<? extends R2FilterCompositorItemType> elements)

      Adds elements to `items` list.
      Parameters:
        `elements` - An iterable of items elements
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2FilterCompositorParameters build()

      Builds a new `R2FilterCompositorParameters`.
      Returns:
        An immutable instance of R2FilterCompositorParameters
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com